import { IScheduleRelation } from '../schedule-controller/schedule-relation';
import { EventBoxDragDisplayMode } from '../event-container/event-box-drag-display-mode';
import { IMergedEvents } from '../schedule-controller/event-merge-checker';
export interface IEvent {
    id?: string;
    title?: string;
    start?: Date;
    end?: Date;
    duration?: number;
    pinned?: boolean;
    resourceId?: any;
    scheduleRelation?: IScheduleRelation;
    scheduled?: boolean;
    selected?: boolean;
    targetResources?: any;
    _dragDisplayMode?: EventBoxDragDisplayMode;
    _durationBackup?: number;
    _durationWithStops?: number;
    _start?: number;
    _end?: number;
    _preProcessDuration?: number;
    _preProcessDurationWithPlannedStops?: number;
    _postProcessDuration?: number;
    _postProcessDurationWithPlannedStops?: number;
    _rowIndex?: number;
    _modified?: boolean;
    _dragMaxEndMs?: number;
    _dragMaxPosX?: number;
    _dragMaxStartMs?: number;
    _dragMergedEvents?: IMergedEvents[];
    _dragMinPosX?: number;
    _dragMinStartMs?: number;
    _jumpBackupStart?: number;
    _mergedEvents?: IMergedEvents[];
    _lastDragSessionTimestamp?: number;
    _mergeCalculationTimestamp?: number;
}
